org.apache.tinkerpop.gremlin.language.grammar

## Class TraversalSourceSelfMethodVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor<GraphTraversalSource>
    - - org.apache.tinkerpop.gremlin.language.grammar.TraversalSourceSelfMethodVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<GraphTraversalSource>, GremlinVisitor<GraphTraversalSource>

      public class TraversalSourceSelfMethodVisitor
      extends GremlinBaseVisitor<GraphTraversalSource>

  A `GraphTraversalSource` self method visitor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalSourceSelfMethodVisitor(GraphTraversalSource source, GremlinAntlrToJava antlr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
    `GraphTraversalSource` | `visitTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor

      `visitBooleanLiteral, visitChainedParentOfGraphTraversal, visitChainedTraversal, visitConnectedComponentConstants, visitConnectedComponentStringConstant, visitDateLiteral, visitEmptyQuery, visitFloatLiteral, visitGenericLiteral, visitGenericLiteralCollection, visitGenericLiteralExpr, visitGenericLiteralList, visitGenericLiteralMap, visitGenericLiteralRange, visitGremlinStringConstants_connectedComponentStringConstants_component, visitGremlinStringConstants_connectedComponentStringConstants_edges, visitGremlinStringConstants_connectedComponentStringConstants_propertyName, visitGremlinStringConstants_ioOptionsStringConstants_graphml, visitGremlinStringConstants_ioOptionsStringConstants_graphson, visitGremlinStringConstants_ioOptionsStringConstants_gryo, visitGremlinStringConstants_ioOptionsStringConstants_reader, visitGremlinStringConstants_ioOptionsStringConstants_writer, visitGremlinStringConstants_pageRankStringConstants_edges, visitGremlinStringConstants_pageRankStringConstants_propertyName, visitGremlinStringConstants_pageRankStringConstants_times, visitGremlinStringConstants_peerPressureStringConstants_edges, visitGremlinStringConstants_peerPressureStringConstants_propertyName, visitGremlinStringConstants_peerPressureStringConstants_times, visitGremlinStringConstants_shortestPathStringConstants_distance, visitGremlinStringConstants_shortestPathStringConstants_edges, visitGremlinStringConstants_shortestPathStringConstants_includeEdges, visitGremlinStringConstants_shortestPathStringConstants_maxDistance, visitGremlinStringConstants_shortestPathStringConstants_target, visitGremlinStringConstants_withOptionsStringConstants_all, visitGremlinStringConstants_withOptionsStringConstants_ids, visitGremlinStringConstants_withOptionsStringConstants_indexer, visitGremlinStringConstants_withOptionsStringConstants_keys, visitGremlinStringConstants_withOptionsStringConstants_labels, visitGremlinStringConstants_withOptionsStringConstants_list, visitGremlinStringConstants_withOptionsStringConstants_map, visitGremlinStringConstants_withOptionsStringConstants_none, visitGremlinStringConstants_withOptionsStringConstants_tokens, visitGremlinStringConstants_withOptionsStringConstants_values, visitGremlinStringConstants, visitIntegerLiteral, visitIoOptionsStringConstant, visitIoOptionsStringConstants, visitNestedTraversal, visitNestedTraversalExpr, visitNestedTraversalList, visitNullLiteral, visitPageRankStringConstant, visitPageRankStringConstants, visitPeerPressureStringConstant, visitPeerPressureStringConstants, visitQuery, visitQueryList, visitRootTraversal, visitShortestPathStringConstant, visitShortestPathStringConstants, visitStringLiteral, visitStringLiteralExpr, visitStringLiteralList, visitTerminatedTraversal, visitTransactionPart, visitTraversalBiFunction, visitTraversalCardinality, visitTraversalColumn, visitTraversalComparator, visitTraversalDirection, visitTraversalFunction, visitTraversalMethod_addE_String, visitTraversalMethod_addE_Traversal, visitTraversalMethod_addV_Empty, visitTraversalMethod_addV_String, visitTraversalMethod_addV_Traversal, visitTraversalMethod_aggregate_Scope_String, visitTraversalMethod_aggregate_String, visitTraversalMethod_and, visitTraversalMethod_as, visitTraversalMethod_barrier_Consumer, visitTraversalMethod_barrier_Empty, visitTraversalMethod_barrier_int, visitTraversalMethod_both, visitTraversalMethod_bothE, visitTraversalMethod_bothV, visitTraversalMethod_branch, visitTraversalMethod_by_Comparator, visitTraversalMethod_by_Empty, visitTraversalMethod_by_Function_Comparator, visitTraversalMethod_by_Function, visitTraversalMethod_by_Order, visitTraversalMethod_by_String_Comparator, visitTraversalMethod_by_String, visitTraversalMethod_by_T, visitTraversalMethod_by_Traversal_Comparator, visitTraversalMethod_by_Traversal, visitTraversalMethod_cap, visitTraversalMethod_choose_Function, visitTraversalMethod_choose_Predicate_Traversal_Traversal, visitTraversalMethod_choose_Predicate_Traversal, visitTraversalMethod_choose_Traversal_Traversal_Traversal, visitTraversalMethod_choose_Traversal_Traversal, visitTraversalMethod_choose_Traversal, visitTraversalMethod_coalesce, visitTraversalMethod_coin, visitTraversalMethod_connectedComponent, visitTraversalMethod_constant, visitTraversalMethod_count_Empty, visitTraversalMethod_count_Scope, visitTraversalMethod_cyclicPath, visitTraversalMethod_dedup_Scope_String, visitTraversalMethod_dedup_String, visitTraversalMethod_drop, visitTraversalMethod_elementMap, visitTraversalMethod_emit_Empty, visitTraversalMethod_emit_Predicate, visitTraversalMethod_emit_Traversal, visitTraversalMethod_filter_Predicate, visitTraversalMethod_filter_Traversal, visitTraversalMethod_flatMap, visitTraversalMethod_fold_Empty, visitTraversalMethod_fold_Object_BiFunction, visitTraversalMethod_from_String, visitTraversalMethod_from_Traversal, visitTraversalMethod_group_Empty, visitTraversalMethod_group_String, visitTraversalMethod_groupCount_Empty, visitTraversalMethod_groupCount_String, visitTraversalMethod_has_String_Object, visitTraversalMethod_has_String_P, visitTraversalMethod_has_String_String_Object, visitTraversalMethod_has_String_String_P, visitTraversalMethod_has_String_Traversal, visitTraversalMethod_has_String, visitTraversalMethod_has_T_Object, visitTraversalMethod_has_T_P, visitTraversalMethod_has_T_Traversal, visitTraversalMethod_hasId_Object_Object, visitTraversalMethod_hasId_P, visitTraversalMethod_hasKey_P, visitTraversalMethod_hasKey_String_String, visitTraversalMethod_hasLabel_P, visitTraversalMethod_hasLabel_String_String, visitTraversalMethod_hasNot, visitTraversalMethod_hasValue_Object_Object, visitTraversalMethod_hasValue_P, visitTraversalMethod_id, visitTraversalMethod_identity, visitTraversalMethod_in, visitTraversalMethod_index, visitTraversalMethod_inE, visitTraversalMethod_inject, visitTraversalMethod_inV, visitTraversalMethod_is_Object, visitTraversalMethod_is_P, visitTraversalMethod_key, visitTraversalMethod_label, visitTraversalMethod_limit_long, visitTraversalMethod_limit_Scope_long, visitTraversalMethod_local, visitTraversalMethod_loops_Empty, visitTraversalMethod_loops_String, visitTraversalMethod_map, visitTraversalMethod_match, visitTraversalMethod_math, visitTraversalMethod_max_Empty, visitTraversalMethod_max_Scope, visitTraversalMethod_mean_Empty, visitTraversalMethod_mean_Scope, visitTraversalMethod_min_Empty, visitTraversalMethod_min_Scope, visitTraversalMethod_not, visitTraversalMethod_option_Object_Traversal, visitTraversalMethod_option_Predicate_Traversal, visitTraversalMethod_option_Traversal, visitTraversalMethod_optional, visitTraversalMethod_or, visitTraversalMethod_order_Empty, visitTraversalMethod_order_Scope, visitTraversalMethod_otherV, visitTraversalMethod_out, visitTraversalMethod_outE, visitTraversalMethod_outV, visitTraversalMethod_pageRank_double, visitTraversalMethod_pageRank_Empty, visitTraversalMethod_path, visitTraversalMethod_peerPressure, visitTraversalMethod_profile_Empty, visitTraversalMethod_profile_String, visitTraversalMethod_project, visitTraversalMethod_properties, visitTraversalMethod_property_Cardinality_Object_Object_Object, visitTraversalMethod_property_Object_Object_Object, visitTraversalMethod_propertyMap, visitTraversalMethod_range_long_long, visitTraversalMethod_range_Scope_long_long, visitTraversalMethod_read, visitTraversalMethod_repeat_String_Traversal, visitTraversalMethod_repeat_Traversal, visitTraversalMethod_sack_BiFunction, visitTraversalMethod_sack_Empty, visitTraversalMethod_sample_int, visitTraversalMethod_sample_Scope_int, visitTraversalMethod_select_Column, visitTraversalMethod_select_Pop_String_String_String, visitTraversalMethod_select_Pop_String, visitTraversalMethod_select_Pop_Traversal, visitTraversalMethod_select_String_String_String, visitTraversalMethod_select_String, visitTraversalMethod_select_Traversal, visitTraversalMethod_shortestPath, visitTraversalMethod_sideEffect, visitTraversalMethod_simplePath, visitTraversalMethod_skip_long, visitTraversalMethod_skip_Scope_long, visitTraversalMethod_store, visitTraversalMethod_subgraph, visitTraversalMethod_sum_Empty, visitTraversalMethod_sum_Scope, visitTraversalMethod_tail_Empty, visitTraversalMethod_tail_long, visitTraversalMethod_tail_Scope_long, visitTraversalMethod_tail_Scope, visitTraversalMethod_timeLimit, visitTraversalMethod_times, visitTraversalMethod_to_Direction_String, visitTraversalMethod_to_String, visitTraversalMethod_to_Traversal, visitTraversalMethod_toE, visitTraversalMethod_toV, visitTraversalMethod_tree_Empty, visitTraversalMethod_tree_String, visitTraversalMethod_unfold, visitTraversalMethod_union, visitTraversalMethod_until_Predicate, visitTraversalMethod_until_Traversal, visitTraversalMethod_V, visitTraversalMethod_value, visitTraversalMethod_valueMap_boolean_String, visitTraversalMethod_valueMap_String, visitTraversalMethod_values, visitTraversalMethod_where_P, visitTraversalMethod_where_String_P, visitTraversalMethod_where_Traversal, visitTraversalMethod_with_String_Object, visitTraversalMethod_with_String, visitTraversalMethod_write, visitTraversalMethod, visitTraversalOperator, visitTraversalOptionParent, visitTraversalOrder, visitTraversalPop, visitTraversalPredicate_between, visitTraversalPredicate_containing, visitTraversalPredicate_endingWith, visitTraversalPredicate_eq, visitTraversalPredicate_gt, visitTraversalPredicate_gte, visitTraversalPredicate_inside, visitTraversalPredicate_lt, visitTraversalPredicate_lte, visitTraversalPredicate_neq, visitTraversalPredicate_not, visitTraversalPredicate_notContaining, visitTraversalPredicate_notEndingWith, visitTraversalPredicate_notStartingWith, visitTraversalPredicate_outside, visitTraversalPredicate_startingWith, visitTraversalPredicate_within, visitTraversalPredicate_without, visitTraversalPredicate, visitTraversalSackMethod, visitTraversalScope, visitTraversalSelfMethod_none, visitTraversalSelfMethod, visitTraversalSource, visitTraversalSourceSpawnMethod_addE, visitTraversalSourceSpawnMethod_addV, visitTraversalSourceSpawnMethod_E, visitTraversalSourceSpawnMethod_inject, visitTraversalSourceSpawnMethod_io, visitTraversalSourceSpawnMethod_V, visitTraversalSourceSpawnMethod, visitTraversalStrategy, visitTraversalStrategyArgs_EdgeLabelVerificationStrategy, visitTraversalStrategyArgs_PartitionStrategy, visitTraversalStrategyArgs_ProductiveByStrategy, visitTraversalStrategyArgs_ReservedKeysVerificationStrategy, visitTraversalStrategyArgs_SubgraphStrategy, visitTraversalStrategyExpr, visitTraversalStrategyList, visitTraversalTerminalMethod_explain, visitTraversalTerminalMethod_hasNext, visitTraversalTerminalMethod_iterate, visitTraversalTerminalMethod_next, visitTraversalTerminalMethod_toBulkSet, visitTraversalTerminalMethod_toList, visitTraversalTerminalMethod_toSet, visitTraversalTerminalMethod_tryNext, visitTraversalTerminalMethod, visitTraversalToken, visitWithOptionsStringConstant, visitWithOptionsStringConstants`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### TraversalSourceSelfMethodVisitor

          public TraversalSourceSelfMethodVisitor(GraphTraversalSource source,
                                                  GremlinAntlrToJava antlr)

  - ### Method Detail

    - #### visitTraversalSourceSelfMethod

          public GraphTraversalSource visitTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withBulk

          public GraphTraversalSource visitTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod_withBulk` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod_withBulk` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withPath

          public GraphTraversalSource visitTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod_withPath` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod_withPath` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withSack

          public GraphTraversalSource visitTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod_withSack` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod_withSack` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withSideEffect

          public GraphTraversalSource visitTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod_withSideEffect` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod_withSideEffect` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withStrategies

          public GraphTraversalSource visitTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod_withStrategies` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod_withStrategies` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_with

          public GraphTraversalSource visitTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalSourceSelfMethod_with` in interface `GremlinVisitor<GraphTraversalSource>`
      Overrides:
        `visitTraversalSourceSelfMethod_with` in class `GremlinBaseVisitor<GraphTraversalSource>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.